{ pkgs ? import <nixpkgs> {} }:

with pkgs;

let
  default = import ./default.nix {};
in

stdenv.mkDerivation {
  name = "env";
  buildInputs =
    default.ticker-update.buildInputs;

  shellHook = ''
    echo "Run 'cargo build --release'"
  '';
}
